[build]
command = "yarn build"
publish = "apps/scandic-web/.next"

[context.branch-deploy]
command = "yarn build"

[context.deploy-preview]
command = "yarn build"

# [[plugins]]
# package = "netlify-plugin-cypress"
# [plugins.inputs]
# configFile = "cypress.config.ts"
# [plugins.inputs.postBuild]
# enable = true
# start = "npm start"
# wait-on = "http://127.0.0.1:3000/en/sponsoring"
# wait-on-timeout = "30" # seconds

[build.environment]
# cache Cypress binary in local "node_modules" folder
# so Netlify caches it
CYPRESS_CACHE_FOLDER = "./node_modules/CypressBinary"
# set TERM variable for terminal output
TERM = "xterm"

[[plugins]]
package = "@netlify/plugin-nextjs"

[images]
remote_images = [
    "https://imagevault-stage.scandichotels.com.*",
    "https://imagevault.scandichotels.com.*",
]

[[headers]]
for = "/_next/static/*"
[headers.values]
cache-control = "public, max-age=31536000, immutable"
